| GlsMap Toolkit 1.10.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
disti::GlsMapGrid Class Reference

`#include <gls_map_grid.h>`

Inheritance diagram for disti::GlsMapGrid:

## Public Types
enum | EGridReference { GRID_LAT_LON , GRID_UTM , GRID_MGRS , GRID_UTM_SINGLE }
typedef DisplayObject | BaseClass

## Public Member Functions
| GlsMapGrid (bool generateInstance=false)
| ~GlsMapGrid () DISTI_METHOD_OVERRIDE
void | SetAvailableAttributes (unsigned int value) DISTI_METHOD_OVERRIDE
DisplayObject * | CloneObject (bool generateNames=false) DISTI_METHOD_OVERRIDE
void | CopyProperties (DisplayObject *src) DISTI_METHOD_OVERRIDE
InterfaceListType * | GetCppInterfaceDescription (InterfaceListType *addToThisList=NULL) DISTI_METHOD_OVERRIDE
void | GetCppInterfaceDescriptionFree (InterfaceListType *array) DISTI_METHOD_OVERRIDE
void | PreDraw (const OpenGLMatrices &parentMatrices, Culler &culler) DISTI_METHOD_OVERRIDE
void | Draw (void) DISTI_METHOD_OVERRIDE
DisplayObject * | Pick3D (const Vector &winLoc, const Vector &logicalCoords, float scale, const Vector &directionVector, Vector &collisionWinLoc, const OpenGLMatrices &drawnMatrices) DISTI_METHOD_OVERRIDE
DisplayObject * | handle (DisplayEvent *ev) DISTI_METHOD_OVERRIDE
void | SetValue (int spec, va_list &args) DISTI_METHOD_OVERRIDE
GlsMapView * | GetMapView ()
void | SetColor (const glsColor &value) DISTI_METHOD_OVERRIDE
glsColor | GetColor () DISTI_METHOD_OVERRIDE
EGridReference | GetGridReference () const
void | SetDisplayGeoLatLon (double gridLevel)
void | SetDisplayUTM (double gridScale)
void | SetDisplayUTM (double gridScale, int zoneNumber, char latitudeBandLetter)

## Static Public Member Functions
static DisplayObject * | CreateInstance ()

## Protected Member Functions
void | DrawGeoLatLon ()
void | DrawGeoLatLonTransverseMercator ()
void | DrawUTM ()
void | DrawUTM (int zone, int latZoneIndex)

## Protected Attributes
DisplayObject * | _defaultPathGeometry
EGridReference | _referenceSystem
double | _scale
int | _UTMdrawZone
int | _UTMdrawLatBand

## Friends
class | GlsMapGridEditor

## Constructor & Destructor Documentation

## ◆ GlsMapGrid()

disti::GlsMapGrid::GlsMapGrid | ( | bool | generateInstance = `false` | ) |

Create a new GlsMapGrid.

Parameters

  generateInstance | Whether or not to generate an instance name for this inputdevice

## ◆ ~GlsMapGrid()

disti::GlsMapGrid::~GlsMapGrid | ( |  | ) |

Destructs a GlsMapGrid object

## Member Function Documentation

## ◆ DrawGeoLatLon()

void disti::GlsMapGrid::DrawGeoLatLon | ( |  | ) |
| protected

Draw Lat/Lon based grid

## ◆ GetGridReference()

EGridReference disti::GlsMapGrid::GetGridReference | ( |  | ) | const
| inline

Get the current grid reference

## ◆ GetMapView()

GlsMapView * disti::GlsMapGrid::GetMapView | ( |  | ) |
| inline

Returns
  pointer to the GlsMapView that the symbology will use for rendering or NULL if not found.

## ◆ SetColor()

void disti::GlsMapGrid::SetColor | ( | const glsColor & | value | ) |

Set the default color for the lines

Parameters

  value | color of the line in RGBA

## ◆ SetDisplayGeoLatLon()

void disti::GlsMapGrid::SetDisplayGeoLatLon | ( | double | gridLevel | ) |

Set Display Geo Lat/Lon

Parameters

  gridLevel | is from 1.0 arc-seconds to 20.0 degrees

## ◆ SetDisplayUTM() [1/2]

void disti::GlsMapGrid::SetDisplayUTM | ( | double | gridScale | ) |

Set Display in UTM (Universal Transverse Mercator) with a given grid scale (from 10m to 100,000 m) /param gridScale scale of the grid from 10m to 100,000m

## ◆ SetDisplayUTM() [2/2]

void disti::GlsMapGrid::SetDisplayUTM | ( | double | gridScale,
|  | int | zoneNumber,
|  | char | latitudeBandLetter
| ) |  |

Set Display in UTM (Universal Transverse Mercator) over the specified zone and band with a given grid scale (from 10m to 100,000 m) /param gridScale scale of the grid from 10m to 100,000m /param zoneNumber zone to set the display in from 1 to 60 /param latitudeBandLetter latitude to display

The documentation for this class was generated from the following files:

- gls_map_grid.h
- gls_map_grid.cpp